Kea: isc::dns::MissingNameOrigin Class Reference

| Kea 3.2.0-git

isc::dns::MissingNameOrigin Class Reference

Thrown when origin is null and is needed. More...

`#include <name.h>`

Inheritance diagram for isc::dns::MissingNameOrigin:
[legend]

## Public Member Functions
| MissingNameOrigin (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::dns::NameParserException
| NameParserException (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::dns::DNSTextError
| DNSTextError (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::dns::Exception
| Exception (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception.
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception.
const std::string & | getMessage () const
| Gets a string describing the cause of the exception.
const char * | getFile () const
| Gets the file name where the exception was thrown.
size_t | getLine () const
| Gets the line number of the file where the exception was thrown.
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number.
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number.
virtual | ~Exception () throw ()
| The destructor.

## Detailed Description

Thrown when origin is null and is needed.

The exception is thrown when the Name constructor for master file is used, the provided data is relative and the origin parameter is set to null.

Definition at line 92 of file name.h.

## Constructor & Destructor Documentation

## ◆ MissingNameOrigin()

isc::dns::MissingNameOrigin::MissingNameOrigin | ( | const char * | file,
|  | size_t | line,
|  | const char * | what )
| inline

Definition at line 94 of file name.h.

References isc::dns::NameParserException::NameParserException(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- name.h